Package com.sap.ai.sdk.grounding.model

# Class SharePointSiteGetResponse

java.lang.Object
com.sap.ai.sdk.grounding.model.SharePointSiteGetResponse

public class SharePointSiteGetResponse extends Object
SharePointSiteGetResponse

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `SharePointSiteGetResponse.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SharePointSiteGetResponse()`
  Default constructor for SharePointSiteGetResponse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SharePointSiteGetResponse`
  `addIncludePathsItem(String includePathsItem)`
  Add one includePaths instance to this `SharePointSiteGetResponse`.
  `static SharePointSiteGetResponse.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `SharePointSiteGetResponse` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `SharePointSiteGetResponse`.
  `String`
  `getId()`
  Get id
  `List<String>`
  `getIncludePaths()`
  Get includePaths
  `String`
  `getName()`
  Get name
  `int`
  `hashCode()`
  `SharePointSiteGetResponse`
  `id(String id)`
  Set the id of this `SharePointSiteGetResponse` instance and return the same instance.
  `SharePointSiteGetResponse`
  `includePaths(List<String> includePaths)`
  Set the includePaths of this `SharePointSiteGetResponse` instance and return the same instance.
  `SharePointSiteGetResponse`
  `name(String name)`
  Set the name of this `SharePointSiteGetResponse` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `SharePointSiteGetResponse` instance.
  `void`
  `setId(String id)`
  Set the id of this `SharePointSiteGetResponse` instance.
  `void`
  `setIncludePaths(List<String> includePaths)`
  Set the includePaths of this `SharePointSiteGetResponse` instance.
  `void`
  `setName(String name)`
  Set the name of this `SharePointSiteGetResponse` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `SharePointSiteGetResponse` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SharePointSiteGetResponse

    protected SharePointSiteGetResponse()
    Default constructor for SharePointSiteGetResponse.

- ## Method Details

  - ### id

    @Nonnull public SharePointSiteGetResponse id(@Nullable String id)
    Set the id of this `SharePointSiteGetResponse` instance and return the same instance.
    Parameters:
      `id` - The id of this `SharePointSiteGetResponse`
    Returns:
      The same instance of this `SharePointSiteGetResponse` class

  - ### getId

    @Nonnull public String getId()
    Get id
    Returns:
      id The id of this `SharePointSiteGetResponse` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `SharePointSiteGetResponse` instance.
    Parameters:
      `id` - The id of this `SharePointSiteGetResponse`

  - ### name

    @Nonnull public SharePointSiteGetResponse name(@Nonnull String name)
    Set the name of this `SharePointSiteGetResponse` instance and return the same instance.
    Parameters:
      `name` - The name of this `SharePointSiteGetResponse`
    Returns:
      The same instance of this `SharePointSiteGetResponse` class

  - ### getName

    @Nonnull public String getName()
    Get name
    Returns:
      name The name of this `SharePointSiteGetResponse` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `SharePointSiteGetResponse` instance.
    Parameters:
      `name` - The name of this `SharePointSiteGetResponse`

  - ### includePaths

    @Nonnull public SharePointSiteGetResponse includePaths(@Nullable List<String> includePaths)
    Set the includePaths of this `SharePointSiteGetResponse` instance and return the same instance.
    Parameters:
      `includePaths` - The includePaths of this `SharePointSiteGetResponse`
    Returns:
      The same instance of this `SharePointSiteGetResponse` class

  - ### addIncludePathsItem

    @Nonnull public SharePointSiteGetResponse addIncludePathsItem(@Nonnull String includePathsItem)
    Add one includePaths instance to this `SharePointSiteGetResponse`.
    Parameters:
      `includePathsItem` - The includePaths that should be added
    Returns:
      The same instance of type `SharePointSiteGetResponse`

  - ### getIncludePaths

    @Nonnull public List<String> getIncludePaths()
    Get includePaths
    Returns:
      includePaths The includePaths of this `SharePointSiteGetResponse` instance.

  - ### setIncludePaths

    public void setIncludePaths(@Nullable List<String> includePaths)
    Set the includePaths of this `SharePointSiteGetResponse` instance.
    Parameters:
      `includePaths` - The includePaths of this `SharePointSiteGetResponse`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `SharePointSiteGetResponse`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `SharePointSiteGetResponse` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `SharePointSiteGetResponse` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `SharePointSiteGetResponse` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static SharePointSiteGetResponse.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `SharePointSiteGetResponse` instance with all required arguments.